import { isAuthOptional as i } from "../../../blocks/scalar-auth-selector-block/helpers/is-auth-optional.js";
const f = (e, t, s = []) => {
  if (t)
    return t;
  if (e)
    return e;
  const r = i(s), n = s[0];
  return r || !n ? {
    selectedIndex: -1,
    selectedSchemes: []
  } : {
    selectedIndex: 0,
    selectedSchemes: [n]
  };
};
export {
  f as getSelectedSecurity
};
